Send Test Event
curl --request POST \
--url https://api.bunship.com/api/v1/organizations/{orgId}/webhooks/{id}/test \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bunship.com/api/v1/organizations/{orgId}/webhooks/{id}/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bunship.com/api/v1/organizations/{orgId}/webhooks/{id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "del_abc123",
"webhookId": "wh_abc123",
"event": "test",
"statusCode": 200,
"deliveredAt": "2024-01-15T10:00:01Z"
}
}
Webhooks
Send Test Event
Send a test webhook event to verify endpoint configuration
POST
/
api
/
v1
/
organizations
/
{orgId}
/
webhooks
/
{id}
/
test
Send Test Event
Sends a test webhook event to the specified endpoint. Use this to verify that your endpoint is correctly configured and responding to deliveries.
Auth
Requires a valid Bearer token. User must be a member of the organization.
Path Parameters
Organization identifier.
Webhook endpoint identifier.
Response
Returns the delivery result including the response status code from the target endpoint.{
"success": true,
"data": {
"id": "del_abc123",
"webhookId": "wh_abc123",
"event": "test",
"statusCode": 200,
"deliveredAt": "2024-01-15T10:00:01Z"
}
}
Example
curl -X POST https://api.bunship.com/api/v1/organizations/org_cld2abc123def456/webhooks/wh_abc123/test \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..."
⌘I

